mkosi-initrd(1)

BEZEICHNUNG
mkosi-initrd – Initrds oder vereinigte Kernel-Abbilder für das aktuelle System mittels Mkosi bauen

ÜBERSICHT
mkosi-initrd [Option…]

BESCHREIBUNG
mkosi-initrd ist ein Wrapper um mkosi(1), um die Erstellung von Initrds und vereinigten Kernelabbildern (UKI) für das aktuell laufende System zu vereinfachen.

OPTIONEN

--kernel-version=, -k
    Kernelversion, bei der nach einzuschließenden Kernelmodulen gesucht werden soll. Standardmäßig die Kernelversion des laufenden Systems (uname -r).

--format=, -t
    Ausgabeformat. Entweder cpio (CPIO-Archiv), uki (ein vereinigtes Kernelabbild mit dem Abbild im PE-Abschnitt .initrd) oder directory (zur Erstellung von Abbildern direkt in einem lokalen Verzeichnis). Standardmäßig cpio.

--output=, -o
    Name, der für die erstellte Ausgabe-Abbild-Datei oder das Verzeichnis verwandt wird. Standardmäßig initrd.

--output-dir=, -O
    Pfad zu einem Verzeichnis, in dem alle erstellten Artefakte abgelegt werden. Standardmäßig das aktuelle Arbeitsverzeichnis.

--generic, -g
    Baut eine generische Initrd ohne Hauptrechner-spezifische Kernelmodule. Dies sollte es dem lokalen System ermöglichen, auf anderer Hardware zu starten, obowhl es an die Kernelversion des laufeden oder mit --kernel-version= gesetzten Systems gebunden ist.

--profile=
    Setzt die für die Initrd zu aktivierenden Profile. Standardmäßig sind alle Profile deaktiviert.

    Das Profil lvm aktiviert Unterstützung für LVM. Das Profil network aktiviert Unterstützung für Netzwerk mittels systemd-networkd(8). Das Profil nfs aktiviert Unterstützung für NFS. Es benötigt Netzwerkunterstützung in der Initrd, mittels des Profils network oder einer anderen, angepassten Methode. Das Profil pkcs11 aktiviert Unterstützung für PKCS#11. Das Profil plymouth stellt eine graphische Schnittstelle für den Systemstart bereit (Animation und Passworteingabe). Das Profil raid aktiviert Unterstützung für RAID-Systeme.

--debug
    Aktiviert zusätzliche Fehlersuchausgaben.

--debug-shell
    Startet eine Fehlersuch-Shell in der Sandbox, falls ein Befehl in einer Sandbox fehlschlägt.

--debug-sandbox
    Führt mkosi-sandbox(1) mit strace(1) aus.

--version
    Zeigt die Paketversion.

--help, -h
    Zeigt einen kurzen Hinweis zum Aufruf.

SIEHE AUCH
mkosi(1)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.